Bug 664513 - too many spaces ...
Summary: too many spaces ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: file
Version: 6.2
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Jan Kaluža
QA Contact: Stanislav Zidek
URL:
Whiteboard:
Depends On:
Blocks: 1162130
TreeView+ depends on / blocked
 
Reported: 2010-12-20 16:24 UTC by Lubos Kocman
Modified: 2014-11-10 10:39 UTC (History)
3 users (show)

Fixed In Version: file-5.04-18.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1161912 1162130 (view as bug list)
Environment:
Last Closed: 2014-10-14 08:29:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1606 0 normal SHIPPED_LIVE Moderate: file security and bug fix update 2014-10-14 01:39:32 UTC

Description Lubos Kocman 2010-12-20 16:24:11 UTC
Description of problem:

file ../ic60/RHEV-toolsSetup_2.3_130.iso 
../ic60/RHEV-toolsSetup_2.3_130.iso: ISO 9660 CD-ROM filesystem data 'RHEV-tools                     '

#---------------------------------------------------------------

[lkocman@dhcp-28-248 ISO]$ file a.txt
a.txt: cannot open `a.txt' (No such file or directory)

^ This one also looks quiet weird with that back-stick ^
#---------------------------------------------------------------


[lkocman@dhcp-28-248 ISO]$ file Fedora-14-i386-DVD.iso 
Fedora-14-i386-DVD.iso: ISO 9660 CD-ROM filesystem data 'Fedora 14 i386 DVD             ' (bootable)


Version-Release number of selected component (if applicable):

file-5.04-5.el6.x86_64

Actual results:

'RHEV-tools                     '
'Fedora 14 i386 DVD             ' (bootable)


Expected results:

'RHEV-tools'
'Fedora 14 i386 DVD' (bootable)

Additional info:

Shouldn't be somehow checked length of the string except of setting some FIXED_LENGTH?

Comment 2 RHEL Program Management 2011-01-07 15:53:28 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 4 Jan Kaluža 2011-01-26 09:49:13 UTC
It's not easy fix. ISO 9660 has fixed length of VOLUME_ID field (32 bytes) ended with zero (so to be precise the length of volume id is always 31 bytes, where the last N bytes are usually white spaces). Currently File magic patterns can't somehow remove trailing white-space characters, so we would have to add new option for it.

Comment 6 RHEL Program Management 2011-07-05 23:46:10 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 8 Jan Kaluža 2012-09-05 06:43:03 UTC
I'm still not sure if it's bug or feature. I've submitted patch to upstream developer and asked what does he think about it. If he accepts it, I will use it in RHEL too, otherwise I will close this one as NOTABUG probably.

http://bugs.gw.com/view.php?id=197

Comment 10 RHEL Program Management 2012-09-07 05:01:47 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Comment 12 RHEL Program Management 2013-10-14 01:13:19 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Comment 18 errata-xmlrpc 2014-10-14 08:29:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-1606.html


Note You need to log in before you can comment on or make changes to this bug.